# Effect (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.font.effects
Interface Effect

All Known Subinterfaces:
  ConfigurableEffect

All Known Implementing Classes:
  ColorEffect, FilterEffect, GradientEffect, OutlineEffect, OutlineWobbleEffect, OutlineZigzagEffect, ShadowEffect

    public interface Effect

A graphical effect that is applied to glyphs in a `UnicodeFont`.

Author:
  Nathan Sweet <misc@n4te.com>

Method Summary
`void` `draw(java.awt.image.BufferedImage image, java.awt.Graphics2D g, UnicodeFont unicodeFont, Glyph glyph)` Called to draw the effect.

Method Detail

### draw

    void draw(java.awt.image.BufferedImage image,
              java.awt.Graphics2D g,
              UnicodeFont unicodeFont,
              Glyph glyph)

  Called to draw the effect.

  Parameters:
    `image` - The image to draw into
    `g` - The graphics context to use for applying the effect
    `unicodeFont` - The font being rendered
    `glyph` - The particular glyph being rendered

Copyright © 2006 New Dawn Software. All Rights Reserved.